import request from '@/router/request';

//删除门店
export function delemendian(id){
  return request({
    url: '/chanting/store/delemendian',
    method: 'get',
    headers: {
      isToken: true,
    },
    params:{
		id:id
	}
  })
}
//添加或修改门店
export function addmendian(data){
  return request({
    url: '/chanting/store/addmendian',
    method: 'post',
    headers: {
      isToken: false,
    },
    data:data
  })
}
//坐标逆向地址
export function getAddr(params){
  return request({
    url: '/utils/getAddr',
    method: 'get',
    headers: {
      isToken: false,
    },
    params:params
  })
}
//获取门店分类
export function getfenlei(){
  return request({
    url: '/fenlei/type/list',
    method: 'get',
    headers: {
      isToken: false,
    },
    params: {
      pageNum:1,
	  pageSize:50
    }
  })
}

export function getfenleilistByTag(tag){
  return request({
    url: '/fenlei/type/listByTag?tag='+tag,
    method: 'get',
    headers: {
      isToken: false,
    }
  })
}


// 获取商家门店列表
export function storelistlist(data){
  return request({
    url: '/chanting/store/storelistlist',
    method: 'get',
    headers: {
      isToken: true,
    },
    params:data
  })
}

//获取服务类型
export function getfwleixing(){
  return request({
    url: '/system/ServiceType/fwlxlist',
    method: 'get',
    headers: {
      isToken: false,
    },
    params: {
      pageNum:1,
	  pageSize:50
    }
  })
}

//获取夜市列表
export function getNightMarketlist(){
  return request({
    url: '/user/index/getNightMarketList',
    method: 'get',
    headers: {
      isToken: false,
    },
  })
}


